class CreateAccountRequest {
  Account account;

  CreateAccountRequest({this.account});

  CreateAccountRequest.fromJson(Map<String, dynamic> json) {
    account =
    json['account'] != null ? new Account.fromJson(json['account']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.account != null) {
      data['account'] = this.account.toJson();
    }
    return data;
  }
}

class Account {
  String creationDate;
  String referralCode;
  String dateOfBirth;
  String fullName;
  String gender;
  String interest;
  String location;
  String occupation;
  String phoneNumber;
  String momoNumber;
  String username;
  PaymentInfo paymentInfo;
  Shop shop;


  Account(
      {this.creationDate,
        this.dateOfBirth,
        this.fullName,
        this.referralCode,
        this.gender,
        this.momoNumber,
        this.interest,
        this.location,
        this.occupation,
        this.phoneNumber,
        this.username,
        this.paymentInfo,
        this.shop});


  Account.fromJson(Map<String, dynamic> json) {
    creationDate = json['creationDate'];
    dateOfBirth = json['dateOfBirth'];
    dateOfBirth = json['referralCode'];
    dateOfBirth = json['momoNumber'];
    fullName = json['fullName'];
    gender = json['gender'];
    interest = json['interest'];
    location = json['location'];
    occupation = json['occupation'];
    phoneNumber = json['phoneNumber'];
    username = json['username'];
    paymentInfo = json['paymentInfo'] != null
        ? new PaymentInfo.fromJson(json['paymentInfo'])
        : null;
    shop = json['shop'] != null ? new Shop.fromJson(json['shop']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['creationDate'] = this.creationDate;
    data['dateOfBirth'] = this.dateOfBirth;
    data['fullName'] = this.fullName;
    data['momoNumber']=this.momoNumber;
    data['referralCode']=this.referralCode;
    data['gender'] = this.gender;
    data['interest'] = this.interest;
    data['location'] = this.location;
    data['occupation'] = this.occupation;
    data['phoneNumber'] = this.phoneNumber;
    data['username'] = this.username;
    if (this.paymentInfo != null) {
      data['paymentInfo'] = this.paymentInfo.toJson();
    }
    if (this.shop != null) {
      data['shop'] = this.shop.toJson();
    }
    return data;
  }
}

class PaymentInfo {
  String platformAccountNumber;
  String platformName;
  String platformProvider;

  PaymentInfo(
      {this.platformAccountNumber, this.platformName, this.platformProvider});

  PaymentInfo.fromJson(Map<String, dynamic> json) {
    platformAccountNumber = json['platformAccountNumber'];
    platformName = json['platformName'];
    platformProvider = json['platformProvider'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['platformAccountNumber'] = this.platformAccountNumber;
    data['platformName'] = this.platformName;
    data['platformProvider'] = this.platformProvider;
    return data;
  }
}

class Shop {
  String creationDate;
  String shopLogoUrl;
  String shopName;
  String shopTheme;
  String shopUrl;

  Shop(
      {this.creationDate,
        this.shopLogoUrl,
        this.shopName,
        this.shopTheme,
        this.shopUrl});

  Shop.fromJson(Map<String, dynamic> json) {
    creationDate = json['creationDate'];
    shopLogoUrl = json['shopLogoUrl'];
    shopName = json['shopName'];
    shopTheme = json['shopTheme'];
    shopUrl = json['shopUrl'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['creationDate'] = this.creationDate;
    data['shopLogoUrl'] = this.shopLogoUrl;
    data['shopName'] = this.shopName;
    data['shopTheme'] = this.shopTheme;
    data['shopUrl'] = this.shopUrl;
    return data;
  }
}