class GetAccountResponse {
  int accountId;
  List<Accounts> accounts;
  String status;

  GetAccountResponse({this.accountId, this.accounts, this.status});

  GetAccountResponse.fromJson(Map<String, dynamic> json) {
    accountId = json['accountId'];
    if (json['accounts'] != null) {
      accounts = new List<Accounts>();
      json['accounts'].forEach((v) {
        accounts.add(new Accounts.fromJson(v));
      });
    }
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['accountId'] = this.accountId;
    if (this.accounts != null) {
      data['accounts'] = this.accounts.map((v) => v.toJson()).toList();
    }
    data['status'] = this.status;
    return data;
  }
}

class Accounts {
  int accountid;
  int version;
  String creationDate;
  String fullName;
  String username;
  String dateOfBirth;
  String phoneNumber;
  String gender;
  String occupation;
  String location;
  String interest;
  PaymentInfo paymentInfo;
  int paymentInfoId;
  Shop shop;
  int shopId;

  Accounts(
      {this.accountid,
        this.version,
        this.creationDate,
        this.fullName,
        this.username,
        this.dateOfBirth,
        this.phoneNumber,
        this.gender,
        this.occupation,
        this.location,
        this.interest,
        this.paymentInfo,
        this.paymentInfoId,
        this.shop,
        this.shopId});

  Accounts.fromJson(Map<String, dynamic> json) {
    accountid = json['accountid'];
    version = json['version'];
    creationDate = json['creationDate'];
    fullName = json['fullName'];
    username = json['username'];
    dateOfBirth = json['dateOfBirth'];
    phoneNumber = json['phoneNumber'];
    gender = json['gender'];
    occupation = json['occupation'];
    location = json['location'];
    interest = json['interest'];
    paymentInfo = json['paymentInfo'] != null
        ? new PaymentInfo.fromJson(json['paymentInfo'])
        : null;
    paymentInfoId = json['paymentInfoId'];
    shop = json['shop'] != null ? new Shop.fromJson(json['shop']) : null;
    shopId = json['shopId'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['accountid'] = this.accountid;
    data['version'] = this.version;
    data['creationDate'] = this.creationDate;
    data['fullName'] = this.fullName;
    data['username'] = this.username;
    data['dateOfBirth'] = this.dateOfBirth;
    data['phoneNumber'] = this.phoneNumber;
    data['gender'] = this.gender;
    data['occupation'] = this.occupation;
    data['location'] = this.location;
    data['interest'] = this.interest;
    if (this.paymentInfo != null) {
      data['paymentInfo'] = this.paymentInfo.toJson();
    }
    data['paymentInfoId'] = this.paymentInfoId;
    if (this.shop != null) {
      data['shop'] = this.shop.toJson();
    }
    data['shopId'] = this.shopId;
    return data;
  }
}

class PaymentInfo {
  int paymentInfoId;
  int version;
  String platformName;
  String platformProvider;
  String platformAccountNumber;

  PaymentInfo(
      {this.paymentInfoId,
        this.version,
        this.platformName,
        this.platformProvider,
        this.platformAccountNumber});

  PaymentInfo.fromJson(Map<String, dynamic> json) {
    paymentInfoId = json['paymentInfoId'];
    version = json['version'];
    platformName = json['platformName'];
    platformProvider = json['platformProvider'];
    platformAccountNumber = json['platformAccountNumber'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['paymentInfoId'] = this.paymentInfoId;
    data['version'] = this.version;
    data['platformName'] = this.platformName;
    data['platformProvider'] = this.platformProvider;
    data['platformAccountNumber'] = this.platformAccountNumber;
    return data;
  }
}

class Shop {
  int shopId;
  int version;
  String creationDate;
  String shopName;
  String shopLogoUrl;
  String shopTheme;
  String shopUrl;

  Shop(
      {this.shopId,
        this.version,
        this.creationDate,
        this.shopName,
        this.shopLogoUrl,
        this.shopTheme,
        this.shopUrl});

  Shop.fromJson(Map<String, dynamic> json) {
    shopId = json['shopId'];
    version = json['version'];
    creationDate = json['creationDate'];
    shopName = json['shopName'];
    shopLogoUrl = json['shopLogoUrl'];
    shopTheme = json['shopTheme'];
    shopUrl = json['shopUrl'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['shopId'] = this.shopId;
    data['version'] = this.version;
    data['creationDate'] = this.creationDate;
    data['shopName'] = this.shopName;
    data['shopLogoUrl'] = this.shopLogoUrl;
    data['shopTheme'] = this.shopTheme;
    data['shopUrl'] = this.shopUrl;
    return data;
  }
}