class GetOrderResponse {
  int accountId;
  List<Orders> orders;
  String status;

  GetOrderResponse({this.accountId, this.orders, this.status});

  GetOrderResponse.fromJson(Map<String, dynamic> json) {
    accountId = json['accountId'];
    if (json['orders'] != null) {
      orders = new List<Orders>();
      json['orders'].forEach((v) {
        orders.add(new Orders.fromJson(v));
      });
    }
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['accountId'] = this.accountId;
    if (this.orders != null) {
      data['orders'] = this.orders.map((v) => v.toJson()).toList();
    }
    data['status'] = this.status;
    return data;
  }
}

class Orders {
  int orderId;
  int version;
  int accountId;
  String productIds;
  Null profitMargins;
  String profitMarginIds;
  Null deliveryInfo;
  int deliveryInfoId;
  Null platform;
  int platformId;
  Null customer;
  int customerId;
  String status;
  String variation;
  String productName;
  String comment;

  Orders(
      {this.orderId,
        this.version,
        this.accountId,
        this.productIds,
        this.profitMargins,
        this.profitMarginIds,
        this.deliveryInfo,
        this.deliveryInfoId,
        this.platform,
        this.platformId,
        this.customer,
        this.customerId,
        this.status,
        this.variation,
        this.productName,
        this.comment

      });

  Orders.fromJson(Map<String, dynamic> json) {
    orderId = json['orderId'];
    version = json['version'];
    accountId = json['accountId'];
    productIds = json['productIds'];
    profitMargins = json['profitMargins'];
    profitMarginIds = json['profitMarginIds'];
    deliveryInfo = json['deliveryInfo'];
    deliveryInfoId = json['deliveryInfoId'];
    platform = json['platform'];
    platformId = json['platformId'];
    customer = json['customer'];
    customerId = json['customerId'];
    status = json['status'];
    variation = json['variation'];
    productName = json['productName'];
    comment = json['comment'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['orderId'] = this.orderId;
    data['version'] = this.version;
    data['accountId'] = this.accountId;
    data['productIds'] = this.productIds;
    data['profitMargins'] = this.profitMargins;
    data['profitMarginIds'] = this.profitMarginIds;
    data['deliveryInfo'] = this.deliveryInfo;
    data['deliveryInfoId'] = this.deliveryInfoId;
    data['platform'] = this.platform;
    data['platformId'] = this.platformId;
    data['customer'] = this.customer;
    data['customerId'] = this.customerId;
    data['status'] = this.status;
    data['variation'] = this.variation;
    data['productName'] = this.productName;
    data['comment'] = this.comment;
    return data;
  }
}