class GetProductResponse {
  int accountId;
  List<Products> products;
  String status;

  GetProductResponse({this.accountId, this.products, this.status});

  GetProductResponse.fromJson(Map<String, dynamic> json) {
    accountId = json['accountId'];
    if (json['products'] != null) {
      products = new List<Products>();
      json['products'].forEach((v) {
        products.add(new Products.fromJson(v));
      });
    }
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['accountId'] = this.accountId;
    if (this.products != null) {
      data['products'] = this.products.map((v) => v.toJson()).toList();
    }
    data['status'] = this.status;
    return data;
  }
}

class Products {
  int productid;
  int version;
  int productPrice;
  Null similarProducts;
  String productName;
  String productCategory;
  String productDescription;
  String productCreationDate;

  Products(
      {this.productid,
        this.version,
        this.productPrice,
        this.similarProducts,
        this.productName,
        this.productCategory,
        this.productDescription,
        this.productCreationDate});

  Products.fromJson(Map<String, dynamic> json) {
    productid = json['productid'];
    version = json['version'];
    productPrice = json['productPrice'];
    similarProducts = json['similarProducts'];
    productName = json['productName'];
    productCategory = json['productCategory'];
    productDescription = json['productDescription'];
    productCreationDate = json['productCreationDate'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['productid'] = this.productid;
    data['version'] = this.version;
    data['productPrice'] = this.productPrice;
    data['similarProducts'] = this.similarProducts;
    data['productName'] = this.productName;
    data['productCategory'] = this.productCategory;
    data['productDescription'] = this.productDescription;
    data['productCreationDate'] = this.productCreationDate;
    return data;
  }
}