class GetWishistResponse {
  int accountId;
  List<Wishlists> wishlists;
  String status;

  GetWishistResponse({this.accountId, this.wishlists, this.status});

  GetWishistResponse.fromJson(Map<String, dynamic> json) {
    accountId = json['accountId'];
    if (json['wishlists'] != null) {
      wishlists = new List<Wishlists>();
      json['wishlists'].forEach((v) {
        wishlists.add(new Wishlists.fromJson(v));
      });
    }
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['accountId'] = this.accountId;
    if (this.wishlists != null) {
      data['wishlists'] = this.wishlists.map((v) => v.toJson()).toList();
    }
    data['status'] = this.status;
    return data;
  }
}

class Wishlists {
  int wishlistId;
  Null product;
  int productId;
  Null account;
  int accountId;

  Wishlists(
      {this.wishlistId,
        this.product,
        this.productId,
        this.account,
        this.accountId});

  Wishlists.fromJson(Map<String, dynamic> json) {
    wishlistId = json['wishlistId'];
    product = json['product'];
    productId = json['productId'];
    account = json['account'];
    accountId = json['accountId'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['wishlistId'] = this.wishlistId;
    data['product'] = this.product;
    data['productId'] = this.productId;
    data['account'] = this.account;
    data['accountId'] = this.accountId;
    return data;
  }
}
