class SharelistResponse {
  int accountID;
  List<Sharelists> sharelists;
  String status;

  SharelistResponse({this.accountID, this.sharelists, this.status});

  SharelistResponse.fromJson(Map<String, dynamic> json) {
    accountID = json['accountID'];
    if (json['sharelists'] != null) {
      sharelists = new List<Sharelists>();
      json['sharelists'].forEach((v) {
        sharelists.add(new Sharelists.fromJson(v));
      });
    }
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['accountID'] = this.accountID;
    if (this.sharelists != null) {
      data['sharelists'] = this.sharelists.map((v) => v.toJson()).toList();
    }
    data['status'] = this.status;
    return data;
  }
}

class Sharelists {
  int shareId;
  int version;
  Null product;
  int productId;
  Null platform;
  int platformId;
  int accountId;

  Sharelists(
      {this.shareId,
        this.version,
        this.product,
        this.productId,
        this.platform,
        this.platformId,
        this.accountId});

  Sharelists.fromJson(Map<String, dynamic> json) {
    shareId = json['shareId'];
    version = json['version'];
    product = json['product'];
    productId = json['productId'];
    platform = json['platform'];
    platformId = json['platformId'];
    accountId = json['accountId'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['shareId'] = this.shareId;
    data['version'] = this.version;
    data['product'] = this.product;
    data['productId'] = this.productId;
    data['platform'] = this.platform;
    data['platformId'] = this.platformId;
    data['accountId'] = this.accountId;
    return data;
  }
}