class WishlistRequest {
  int accountID;
  Wishlist wishlist;

  WishlistRequest({this.accountID, this.wishlist});

  WishlistRequest.fromJson(Map<String, dynamic> json) {
    accountID = json['accountID'];
    wishlist = json['wishlist'] != null
        ? new Wishlist.fromJson(json['wishlist'])
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['accountID'] = this.accountID;
    if (this.wishlist != null) {
      data['wishlist'] = this.wishlist.toJson();
    }
    return data;
  }
}

class Wishlist {
  int productId;
  int accountId;

  Wishlist({this.productId, this.accountId});

  Wishlist.fromJson(Map<String, dynamic> json) {
    productId = json['productId'];
    accountId = json['accountId'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['productId'] = this.productId;
    data['accountId'] = this.accountId;
    return data;
  }
}